package cn.iocoder.yudao.module.basic.convert.businessinfo;

import java.util.*;

import cn.iocoder.yudao.framework.common.pojo.PageResult;

import cn.iocoder.yudao.module.basic.api.redis.dto.BusinessInfoDTO;
import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;
import cn.iocoder.yudao.module.basic.controller.admin.businessinfo.vo.*;
import cn.iocoder.yudao.module.basic.dal.dataobject.businessinfo.BusinessInfoDO;

/**
 * 商户 Convert
 *
 * @author 芋道源码
 */
@Mapper
public interface BusinessInfoConvert {

    BusinessInfoConvert INSTANCE = Mappers.getMapper(BusinessInfoConvert.class);

    BusinessInfoDO convert(BusinessInfoCreateReqVO bean);

    BusinessInfoDO convert(BusinessInfoUpdateReqVO bean);

    BusinessInfoDO convert(BusinessInfoDO bean);

    List<BusinessInfoRespVO> convertList(List<BusinessInfoDO> list);

    PageResult<BusinessInfoRespVO> convertPage(PageResult<BusinessInfoDO> page);

    BusinessInfoDTO convertToDTO(BusinessInfoDO businessInfoDO);

    List<BusinessInfoDTO> convertToDTOList(List<BusinessInfoDO> list);
}
